#
# spec file for package frameworkintegration
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname   libKF5Style5
Name:           frameworkintegration
Version:        4.98.0
Release:        0
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= 0.0.12
BuildRequires:  fdupes
BuildRequires:  kconfig-devel >= %{_kf5_version}
BuildRequires:  kconfigwidgets-devel >= %{_kf5_version}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{_kf5_version}
BuildRequires:  kiconthemes-devel >= %{_kf5_version}
BuildRequires:  kio-devel >= %{_kf5_version}
BuildRequires:  knotifications-devel >= %{_kf5_version}
BuildRequires:  kwidgetsaddons-devel >= %{_kf5_version}
BuildRequires:  libQt5Gui-private-headers-devel >= 5.2.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.2.0
BuildRequires:  pkgconfig(xcb)
Requires:       kde-oxygen-fonts
Summary:        Plugins responsible for better integration of Qt applications in KDE Workspace
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source0:        frameworkintegration-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Framework Integration is a set of plugins responsible for better
integration of Qt applications when running on a
KDE Plasma workspace.

Applications do not need to link to this directly.

%package -n %lname
Summary:        Plugins responsible for better integration of Qt applications in KDE Workspace
Group:          System/GUI/KDE
Obsoletes:      libKF5Style4

%description -n %lname
Framework Integration is a set of plugins responsible for better
integration of Qt applications when running on a
KDE Plasma workspace.

Applications do not need to link to this directly.

%package devel
Summary:        Plugins responsible for better integration of Qt applications in KDE Workspace
Group:          Development/Libraries/KDE
Requires:       %lname = %{version}
Requires:       extra-cmake-modules
Requires:       kconfigwidgets-devel >= %{_kf5_version}
Requires:       kiconthemes-devel >= %{_kf5_version}

%description devel
Framework Integration is a set of plugins responsible for better
integration of Qt applications when running on a
KDE Plasma workspace.

Applications do not need to link to this directly. Development files

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes -s %{buildroot}

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5Style.so.*
%{_kf5_datadir}/kf5/
%{_kf5_plugindir}/FrameworkIntegrationPlugin.so
%dir %{_qt5_plugindir}/platformthemes
%{_qt5_plugindir}/platformthemes/KDEPlatformTheme.so

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Style.so
%{_kf5_libdir}/cmake/KF5FrameworkIntegration/
%dir %{_kf5_includedir}/KStyle/
%{_kf5_includedir}/KStyle/
%{_kf5_includedir}/*.h

%changelog
